Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## archive.data
Enum Corso

    java.lang.Object
      java.lang.Enum<Corso>
          archive.data.Corso

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Corso>

    public enum Corso

extends java.lang.Enum<Corso>

Un enumerativo per rappresentare i corsi V("vela"), E("equitazione"), T("tennis"), S("surf"), B("immersione con bombole");

Enum Constant Summary
`B`
`E`
`S`
`T`
`V`

Method Summary
`java.lang.String` | `getNome()`
`static Corso` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Corso[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### V

    public static final Corso V

### E

    public static final Corso E

### T

    public static final Corso T

### S

    public static final Corso S

### B

    public static final Corso B

Method Detail

### values

    public static Corso[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Corso c : Corso.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Corso valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getNome

    public java.lang.String getNome()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD